Users & Access Control

Manage users, roles, groups, memberships, and permissions.

Users

Endpoints related to users.

GET /users/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

  • 400 Bad Request – invalid-email There is a mismatch in the bureau of the requesting user and the bureau of the requested user

  • 503 Service Unavailable – RecordNotFound

POST /users/

Add a user, let API select/generate URI/UUID if it’s a new user

Add a user, let API select/generate URI/UUID if it’s a new user Must be POST via a ‘inviter’ valid HTTPS connection from a user of the same bureau

Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /users/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
PUT /users/{uuid}/

Put an update to an exact user (and exact UUID/URI)

Put an update to an exact user (and exact UUID/URI)

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
DELETE /users/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:

Roles & Permissions

Endpoints related to roles & permissions.

GET /role/

Get a list of all users for a bureau and their roles

Get a list of all users for a bureau and their roles

Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

  • 404 Not Found – The requested role cannot be found.

  • 403 Forbidden – You are not authorized to complete the request.

  • 400 Bad Request – BadUser User already belongs to a bureau

POST /role/

Create a new ‘role’ for a user in a bureau

Create a new ‘role’ for a user in a bureau

Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /role/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
PUT /role/{uuid}/

Update a user’s role.

Update a user’s role. Seldom used, only used for now for hide_info behavior per user-role pair

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
DELETE /role/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
GET /access-info-for-resource/

Return info about access rights for next resources:

Return info about access rights for next resources:
  • printer-type,

  • printer,

  • post_processor_type,

  • post_processor,

  • workflow,

  • run,

  • piece

Filter target_uri is required for this API.

Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

POST /access-info-for-resource/
Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /access-info-for-resource/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

PUT /access-info-for-resource/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
DELETE /access-info-for-resource/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:

Groups & Memberships

Endpoints related to groups & memberships.

GET /custom-group/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

  • 404 Not Found – The requested group cannot be found.

  • 403 Forbidden – Create, edit and delete groups can only bureau manager.

POST /custom-group/
Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /custom-group/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

  • 404 Not Found – The requested group cannot be found.

  • 403 Forbidden – Create, edit and delete groups can only bureau manager.

PUT /custom-group/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
DELETE /custom-group/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
GET /groups/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

POST /groups/
Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /groups/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

PUT /groups/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
DELETE /groups/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:

Auth & Tokens

Endpoints related to auth & tokens.

POST /api_tokens/
Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /api_tokens/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

PUT /api_tokens/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
DELETE /api_tokens/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:

Custom Settings

Endpoints related to custom settings.

POST /custom-settings/<slicer>/
Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /custom-settings/<slicer>/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

GET /custom_field/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

  • 404 Not Found – RecordNotFound raised

  • 403 Forbidden – Create, edit and delete custom field can only bureau manager.

POST /custom_field/
Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /custom_field/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
PUT /custom_field/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes: